# Direct

object Direct : ActionWrapper (source)

It is passthrough variant of ActionWrapper which will just call incoming block with wrapping into runCatchingSafely

## Functions

wrap
Link copied to clipboard
open suspend override fun < T > wrap (block: suspend () -> T ): Result < T >

Should execute block to take the result T, but may return failure in case when something went wrong. This method should never throw any Exception